Create ledger account
curl --request POST \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/ledger/accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Consulting Revenue",
"normality": "DEBIT",
"parent_id": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"account_type": "ASSET",
"account_subtype": "BANK_ACCOUNTS",
"account_number": "4000"
}
'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/ledger/accounts"
payload = {
"name": "Consulting Revenue",
"normality": "DEBIT",
"parent_id": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"account_type": "ASSET",
"account_subtype": "BANK_ACCOUNTS",
"account_number": "4000"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Consulting Revenue',
normality: 'DEBIT',
parent_id: {type: 'AccountId', id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'},
account_type: 'ASSET',
account_subtype: 'BANK_ACCOUNTS',
account_number: '4000'
})
};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/ledger/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "Single_Chart_Account",
"id": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"name": "Current Assets",
"account_number": "4000",
"stable_name": {
"type": "StableName",
"stable_name": "CURRENT_ASSETS"
},
"normality": "DEBIT",
"account_type": {
"value": "ASSET",
"display_name": "Asset"
},
"account_subtype": {
"value": "BANK_ACCOUNTS",
"display_name": "Current Assets"
}
}
}{
"type": "InvalidParameters",
"description": "<string>",
"error_enum": "InvalidPayload",
"meta": {}
}{
"type": "InvalidParameters",
"description": "<string>",
"error_enum": "InvalidPayload",
"meta": {}
}Accounts
Create ledger account
Creates a new ledger account. The stable_name field can be used for idempotency - if an account with the same stable_name already exists, it will be returned instead of creating a duplicate.
POST
/
v1
/
businesses
/
{businessId}
/
ledger
/
accounts
Create ledger account
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json.
Path Parameters
The UUID of the business.
Body
application/json
Parameters for creating a new ledger account. The stable_name field is used for idempotency.
Display name of the ledger account.
Example:
"Consulting Revenue"
Available options:
CREDIT, DEBIT Example:
"DEBIT"
ID of the account.
- Account ID
- Account Stable Name
Show child attributes
Show child attributes
Available options:
ASSET, LIABILITY, EQUITY, REVENUE, EXPENSE Example:
"ASSET"
Available options:
BANK_ACCOUNTS, ACCOUNTS_RECEIVABLE, INVENTORY, PAYMENT_PROCESSOR_CLEARING_ACCOUNT, FIXED_ASSET, ACCUMULATED_DEPRECIATION, CASH, UNDEPOSITED_FUNDS, CURRENT_ASSET, NON_CURRENT_ASSET, PREPAID_EXPENSES, DEVELOPMENT_COSTS, LOANS_RECEIVABLE, INTANGIBLE_ASSET, ACCOUNTS_PAYABLE, CREDIT_CARD, TAXES_PAYABLE, INCOME_TAXES_PAYABLE, SALES_TAXES_PAYABLE, OTHER_TAXES_PAYABLE, PAYROLL_TAXES_PAYABLE, UNEARNED_REVENUE, PAYROLL_LIABILITY, PAYROLL_CLEARING, LINE_OF_CREDIT, TIPS, REFUND_LIABILITIES, UNDEPOSITED_OUTFLOWS, OUTGOING_PAYMENT_CLEARING_ACCOUNT, OTHER_CURRENT_LIABILITY, LOANS_PAYABLE, NOTES_PAYABLE, SHAREHOLDER_LOAN, NON_CURRENT_LIABILITY, CONTRIBUTIONS, DISTRIBUTIONS, COMMON_STOCK, PREFERRED_STOCK, ADDITIONAL_PAID_IN_CAPITAL, RETAINED_EARNINGS, ACCUMULATED_ADJUSTMENTS, OPENING_BALANCE_EQUITY, OTHER_EQUITY, SALES, UNCATEGORIZED_REVENUE, RETURNS_ALLOWANCES, DIVIDEND_INCOME, INTEREST_INCOME, OTHER_INCOME, COGS, OPERATING_EXPENSES, PAYROLL, TAXES_LICENSES, UNCATEGORIZED_EXPENSE, CHARITABLE_CONTRIBUTIONS, LOAN_EXPENSES, FINANCE_COSTS, INTEREST_EXPENSES, DEPRECIATION, AMORTIZATION, BAD_DEBT, OTHER_EXPENSES Example:
"BANK_ACCOUNTS"
Optional account number for the ledger account.
Example:
"4000"
Show child attributes
Show child attributes
Response
The created ledger account.
A single ledger account without nested children.
Show child attributes
Show child attributes